Reporting API

Reporting API is a collection of APIs Platforms use to get information about Liquid Collective Protocol Service Fees.

Public endpoints (no authentication required)

List latest high-level protocol info

get

List latest available high-level protocol

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
chevron-right
200

OK

application/json
a_srr_7dnumberOptionalExample: 3.95
conversion_ratenumberOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethnumberOptionalExample: 0.1851
gross_fee_ratenumberOptionalExample: 0.15
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratenumberOptionalExample: 0.11
rewards_ethnumberOptionalExample: 1.234
total_eth_stakednumberOptionalExample: 122007944.381
total_lseth_supplynumberOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethnumberOptionalExample: 32
total_protocol_mints_lsethnumberOptionalExample: 32
get
/eth/v0/protocol

List high-level protocol info

get

List high-level protocol info for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
chevron-right
200

OK

application/json
a_srr_7dnumberOptionalExample: 3.95
conversion_ratenumberOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethnumberOptionalExample: 0.1851
gross_fee_ratenumberOptionalExample: 0.15
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
protocol_service_fee_ratenumberOptionalExample: 0.11
rewards_ethnumberOptionalExample: 1.234
total_eth_stakednumberOptionalExample: 122007944.381
total_lseth_supplynumberOptionalExample: 120520123.456789
total_protocol_active_keys_countintegerOptionalExample: 76
total_protocol_burns_lsethnumberOptionalExample: 32
total_protocol_mints_lsethnumberOptionalExample: 32
get
/eth/v0/protocol/{date}

List wallet transactions

get

List wallet transactions for a given time period and wallet address

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
addressstringRequired

Wallet address

Query parameters
fromstringOptional

Start date (default: 1 year ago)

tostringOptional

End date (default: current time)

csvstringOptional

Output as CSV

page_sizestringOptional

Page size (default: 100)

next_cursorstringOptional

Next cursor

Responses
chevron-right
200

OK

application/json
get
/eth/v0/wallet/{address}/transactions

Private endpoints ( authentication required)

List platform fees

get

List all platform fees for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
chevron-right
200

OK

application/json
conversion_ratenumberOptionalExample: 1.012345
dao_fees_lsethnumberOptionalExample: 0.00001234567
dao_fees_ratenumberOptionalExample: 0.0015
datestringOptionalExample: 2023-01-02T03:04:05Z
gross_fee_lsethnumberOptionalExample: 0.0001234
operator_fees_lsethnumberOptionalExample: 0.000123456789
operator_fees_ratenumberOptionalExample: 0.0035
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
org_idstringOptionalExample: org_example1234
slashing_coverage_fees_lsethnumberOptionalExample: 0.0000012345678
slashing_coverage_fees_ratenumberOptionalExample: 0.003
tech_provider_fees_lsethnumberOptionalExample: 0.0000123456789
tech_provider_fees_ratenumberOptionalExample: 0.0035
total_eth_supplynumberOptionalExample: 120520123.456789
total_lseth_supplynumberOptionalExample: 120520123.456789
versionintegerOptionalExample: 3
get
/eth/v0/platforms/{date}

List operator fees

get

List platform operator fees for a given date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
datestringRequired

Date filter by year, month or day (eg. 2023, 2023-12, 2023-12-31). Note: times are UTC

Query parameters
unitstringOptional

Display LsETH values in units of wei or ether. If not present, LsETH is set by default.

Responses
chevron-right
200

OK

application/json
conversion_ratenumberOptionalExample: 1.012345
datestringOptionalExample: 2023-01-02T03:04:05Z
operator_active_keys_countintegerOptionalExample: 5
operator_active_keys_rationumberOptionalExample: 0.5
operator_fees_lsethnumberOptionalExample: 0.00006
oracle_reportstringOptionalExample: f071c15d86fd9ae82f62bb4bb04963f14e04045bbcac8b5439984733207821bc000000ef
org_idstringOptionalExample: org_example1234
total_active_keys_countintegerOptionalExample: 10
total_operator_fees_lsethnumberOptionalExample: 0.00012
versionintegerOptionalExample: 3
get
/eth/v0/operators/{date}

List rewards

post

List rewards for a time period

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Bodyobject[]
balancestringOptionalExample: 0.382748642252721461
fromstringOptionalExample: 2024-01-01
tostringOptionalExample: 2024-01-31
Responses
chevron-right
200

OK

application/json
accrued_rewardsnumberOptionalExample: 0.00003930554936445
post
/eth/v0/rewards

List account rewards

post

List rewards by account for a specific date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
accountsstring[]OptionalExample: ["bb3e6114-af15-43a6-9b36-a5ec011d9d95"]
datestringOptionalExample: 2024-04-11
unitstringOptionalExample: lseth
Responses
chevron-right
200

OK

application/json
account_idstringOptionalExample: bb3e6114-af15-43a6-9b36-a5ec011d9d95
datestringOptionalExample: 2024-04-11
post
/eth/v0/rewards/accounts

List wallet rewards

post

Get rewards for a list of wallets on a specific date

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
addressesstring[]OptionalExample: ["0x5d811a9d059dDAB0C18B385ad3b752f734f011cB"]
datestringOptionalExample: 2024-04-11
unitstringOptionalExample: eth
Responses
chevron-right
200

OK

application/json
account_idstringOptionalExample: ab3e5114-af15-45b8-9c43-a5ec011d9d95
addressstringOptionalExample: 0x30e2a735D692fC28CD31C28F1A8259b4790f9A23
avg_srr_histnumberOptionalExample: 0.00534633387
balance_lsethnumberOptionalExample: 0.3827486422527215
burns_lsethnumberOptionalExample: 0.1
conversion_ratenumberOptionalExample: 1.037253225665527
dao_fees_ethnumberOptionalExample: 4.25550536674e-7
datestringOptionalExample: 2024-04-11
fees_ethnumberOptionalExample: 0.000006719219000121
gross_fees_ethnumberOptionalExample: 0.000006264174837104
gross_protocol_fee_ratenumberOptionalExample: 0.000006264174837104
gross_rewards_ethnumberOptionalExample: 0.000006264174837104
mints_lsethnumberOptionalExample: 0.48208860235174045
operator_fees_ethnumberOptionalExample: 0.000006264174837104
oracle_reportstringOptionalExample: 68bbc70ba87b9467831cc3ff56fc114f3659ba9e646042007d1d54f6b95f267d00000164
org_idstringOptionalExample: org_aDL0aCAXyWYgHQ4W
platform_fees_at_discount_rate_ethnumberOptionalExample: 0.000006264174837104
platform_fees_ethnumberOptionalExample: 0.00000519619602676
previous_conversion_ratenumberOptionalExample: 1.0371537463463845
provider_fees_ethnumberOptionalExample: 1.56781776669e-7
rebate_ethnumberOptionalExample: 0.000006264174837104
rebate_lsethnumberOptionalExample: 0.000006264174837104
rewards_ethnumberOptionalExample: 0.000038075574334017
slashing_fees_ethnumberOptionalExample: 1.34384380002e-7
target_fee_ratenumberOptionalExample: 0.08
total_burns_lsethnumberOptionalExample: 0.109
total_dao_fees_ethnumberOptionalExample: 4.39297316428e-7
total_fees_ethnumberOptionalExample: 0.000006936273417258
total_gross_fees_ethnumberOptionalExample: 0.000006264174837104
total_gross_rewards_ethnumberOptionalExample: 0.000006264174837104
total_mints_lsethnumberOptionalExample: 0.49174864225272147
total_operator_fees_ethnumberOptionalExample: 0.000006264174837104
total_platform_fees_at_discount_rate_ethnumberOptionalExample: 0.000006264174837104
total_platform_fees_ethnumberOptionalExample: 0.000005364051442679
total_provider_fees_ethnumberOptionalExample: 1.61846379739e-7
total_rebate_ethnumberOptionalExample: 0.000006264174837104
total_rebate_lsethnumberOptionalExample: 0.000006264174837104
total_rewards_ethnumberOptionalExample: 0.00003930554936445
total_slashing_fees_ethnumberOptionalExample: 1.38725468346e-7
post
/eth/v0/rewards/wallets

Reward Summary

List account rewards summary

get

Provides a summary of rewards with a breakdown of reward totals for each wallet within the account. NOTE: Daily breakdown for each wallet address within the account is NOT included in the response.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrKeystringRequired

Account ID

Query parameters
fromstringOptional

Start date (default: 1 month ago)

tostringOptional

End date (default: current time)

csvstringOptional

Export to CSV

unitstringOptional

Currency unit

Responses
chevron-right
200

OK

application/json
get
/eth/v0/rewards/accounts/{idOrKey}/summary

List wallet rewards summary

get

List wallet rewards summary with daily reports for a specific time period

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idOrAddressstringRequired

Wallet ID or address

Query parameters
fromstringOptional

Start date (default: 1 month ago)

tostringOptional

End date (default: current time)

csvstringOptional

Export to CSV

unitstringOptional

Currency unit

Responses
chevron-right
200

OK

application/json
get
/eth/v0/rewards/wallets/{idOrAddress}/summary

Last updated

Was this helpful?